#include <map>
#include <iostream>

int main(int argc, char *argv[])
{
    std::map<std::string, int> conteos;

    // Bucle de lectura
    while (!std::cin.eof()) {
        std::string palabra;
        std::cin >> palabra;
        if (!std::cin.fail()) {
            // Podemos usar el operador[] directamente porque si la palabra no
            // estaba insertada se insertará con un valor asociado por defecto,
            // que al ser de tipo int será 0.
            ++conteos[palabra];
        }
    }

    for (std::map<std::string, int>::const_iterator i = conteos.begin();
         i != conteos.end(); ++i) {
        // Recordar que el iterador de un map apunta a pares clave, valor usando
        // el tipo std::pair para dicho fin.
        std::cout << i->first << ": " << i->second << std::endl;
    }
}
